%global pypi_name readme_renderer
%global pkg_name readme-renderer

Name:           python-%{pkg_name}
Version:        30.0
Release:        1%{?dist}
Summary:        Library for rendering "readme" descriptions for Warehouse
License:        ASL 2.0
URL:            https://github.com/pypa/readme_renderer
Source0:        %{pypi_source %{pypi_name}}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
Readme Renderer Readme Renderer is a library that will safely render arbitrary
README files into HTML. It is designed to be used in Warehouse_ to render the
long_description for packages. It can handle Markdown, reStructuredText (.rst),
and plain text.}

%description %{_description}


%package -n     python%{python3_pkgversion}-%{pkg_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pkg_name} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version}
# rm -rf %%{pypi_name}.egg-info


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest -v tests -k "not test_md_fixtures"


%files -n python%{python3_pkgversion}-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Dec 08 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 30.0-1
- Update to latest upstream release 30.0 (#1932102)
- Update spec for Python packaging guideline changes

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 29.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 29.0-2
- Rebuilt for Python 3.10

* Wed Feb 24 2021 Fabian Affolter <mail@fabian-affolter.ch> - 29.0-1
- Update to latest upstream release 29.0 (#1932102)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 22 2020 Fabian Affolter <mail@fabian-affolter.ch> - 28.0-1
- Update to latest upstream release 28.0 (#1887015)

* Sun Oct 11 2020 Fabian Affolter <mail@fabian-affolter.ch> - 27.0-1
- Update to latest upstream release 27.0 (#1813626)

* Fri Sep 11 2020 Fabian Affolter <mail@fabian-affolter.ch> - 26.0-5
- Enable tests

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 26.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 26.0-3
- Rebuilt for Python 3.9

* Mon May 18 2020 Fabian Affolter <mail@fabian-affolter.ch> - 26.0-2
- Fix naming (#1834176)

* Thu Apr 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 26.0-1
- Update to latest upstream release 26.0 (#1813626)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 24.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 24.0-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 24.0-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 24.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 05 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 24.0-1
- Initial package
